Accounts
All operations require authentication.
List email accountsProduction
List email accounts. Returns the email addresses of the email accounts of the service. Filter them by primaryEmailAddress or id.
Path parameters
The internal name of your mxplan organization
Query parameters
Filter the value of id property (like)
Filter the value of primaryEmailAddress property (like)
Response
Example uses service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an email accountProduction
Get an email account. Returns the login, names, domain, state, quota and usage of the email account, its renewal and expiration settings, and its spam and virus configuration.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
SAM account name
Indicates if the account is configured
Creation date
Mailbox usage
delete at expiration
Account display name
Email domain
expiration date
expiration date
Account first name
Hide account in Global Address List
Account id
Account initials
Last logoff
Last logon
Account last name
Last update
Account login
Enable or disable anti-virus and anti-spam
vaderetroTime of account's password last update
Default email for this mailbox
Account maximum size
change the renew period
monthlyyearlySpam and Antivirus configuration
Account was sending spam
Ticket number of spam detection
Account state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks for this account
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email} \
-H "authorization: Bearer $OVH_TOKEN"{ "SAMAccountName": "string", "configured": true, "creationDate": "2024-01-01T12:00:00Z", "currentUsage": 0, "deleteAtExpiration": true, "displayName": "string", "domain": "string", "expirationDate": "2024-01-01T12:00:00Z", "expirationOutlookDate": "2024-01-01T12:00:00Z", "firstName": "string", "hiddenFromGAL": true, "id": 0, "initial": "string", "lastLogoffDate": "2024-01-01T12:00:00Z", "lastLogonDate": "2024-01-01T12:00:00Z", "lastName": "string", "lastUpdateDate": "2024-01-01T12:00:00Z", "login": "string", "mailingFilter": [ "vaderetro" ], "passwordLastUpdate": "2024-01-01T12:00:00Z", "primaryEmailAddress": "string", "quota": 0, "renewPeriod": "monthly", "spamAndVirusConfiguration": { "checkDKIM": true, "checkSPF": true, "deleteSpam": true, "deleteVirus": true, "putInJunk": true, "tagSpam": true, "tagVirus": true }, "spamDetected": true, "spamTicketNumber": 0, "state": "creating", "taskPendingId": 0}
Delete an email accountProduction
Delete an email account. Deletes the email account of the MX Plan service and returns the task. Follow it under task/{id}.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update an email accountProduction
Update an email account. Updates the login, names, domain, quota, renewal period, deletion at expiration, Global Address List visibility and spam and virus configuration of the email account.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Request body (required)
SAM account name
Indicates if the account is configured
Creation date
Mailbox usage
delete at expiration
Account display name
Email domain
expiration date
expiration date
Account first name
Hide account in Global Address List
Account id
Account initials
Last logoff
Last logon
Account last name
Last update
Account login
Enable or disable anti-virus and anti-spam
vaderetroTime of account's password last update
Default email for this mailbox
Account maximum size
change the renew period
monthlyyearlySpam and Antivirus configuration
Account was sending spam
Ticket number of spam detection
Account state
creatingdeletingokreopeningsuspendedsuspendingunknownPending tasks for this account
Response
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email} \
-H "authorization: Bearer $OVH_TOKEN"Get email account capabilitiesProduction
Get email account capabilities. Returns the quotas that can be set on the email account. No value means that any quota is allowed.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Response
List of allowed quotas (no constraint if null)
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ capabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "quotas": [ 0 ]}
Change an email account passwordProduction
Change an email account password. Sets the new password of the email account and returns the task that applies it.
Path parameters
Default email for this mailbox
The internal name of your mxplan organization
Request body (required)
new password
Response
Completion date
Function name
addAccountaddAliasaddDomainaddDomainDKIMaddDomainDisclaimeraddExternalContactaddFullAccessaddSendAsaddSendOnBehalfToaddServiceAuthorizedIpchangeHostnamechangePasswordconfigureCustomerdeleteAccountdeleteAliasdeleteDomaindeleteDomainDKIMdeleteDomainDisclaimerdeleteExternalContactdeleteFullAccessdeleteSendAsdeleteSendOnBehalfTodeleteServicedeleteServiceAuthorizedIpdiagnoseAccountdisableDKIMenableDKIMexpandDriveinstallServermaintenancemigrateAccountViaOMMmigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationServicereOpenAccountsetAccountsetAliassetDnssetDomainsetDomainDisclaimersetExternalContactsetServicesuspendAccountsuspendServiceunknownunsuspendAccountunsuspendServiceTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses email = string, service = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ mxplan/ {service}/ account/ {email}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "addAccount", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}